<?php

/**
 * OntoWiki - index controller class
 * 
 * This class defines all action methods for the controller.
 * 
 * @author AKSW team
 */
class IndexController extends OntoWiki_Controller_Action {

	/**
	 * Redirect direct calls of the IndexController to the
	 * InstanceController
	 */
	public function indexAction() {
		$this->log->debug('IndexController::index()');
		$this->_helper->viewRenderer->setNoRender();
		#$this->view->title = $this->config->title;
		// $this->renderView('index/index');
		#$this->render('index');
	}

	/**
	 * Show the 404 file not found error page
	 */
	public function norouteAction() {
		$this->log->debug('IndexController::norouteAction()');
		$this->_redirect('/resource/create');
	}

	/**
	 * Redirect all unroutable actions to the 404 file not found page
	 */
	public function __call($methodName, $args)  {
		$this->log->debug('IndexController::__call()');
		$this->_redirect('/resource/create');
	}
}

?>
