<?php


require_once 'pear/HTTP_Request.php';
require_once 'DIG_XML_variables.php';


/**
 * @package reasoning
 */
class Erfurt_Reasoning_DIG1_1_HTTPDIGConnector{

var $digvars;
var $reasonerURL;

	public function Erfurt_Reasoning_DIG1_1_HTTPDIGConnector(){
		$this->digvars=new Erfurt_Reasoning_DIG1_1_DIG_XML_variables();
		$this->reasonerURL=$this->digvars->reasonerURL;
	}

	public function testReasoner()     {
    	$message=$this->digvars->getIdentifier;
   		// echo "BBBBB".$message;
   		$req=($this->execute($message,true));
   		return $req;
   	}


	public function executeAsks($query,$URI,$debug_flag=true)  {
		$asks="<asks \n";
		$asks.=$this->digvars->namespaces;
		$asks.=" uri=\"".$URI."\" >\n";
		$asks.=$query."\n";
		$asks.="</asks>";
		return $this->execute($asks,$debug_flag) ;
	}

	public function executeTells($query,$URI,$debug_flag=true)     {
		$tells="<tells \n";
		$tells.=$this->digvars->namespaces;
		$tells.=" uri=\"".$URI."\" >\n";
		$tells.=$query."\n";
		$tells.="</tells>";
		return $this->execute($tells,$debug_flag) ;
	}


	 public function execute($query,$debug_flag)     {

		// this is copied from the Pear example
		// please don't ask me how it works
		$req = &new HTTP_Request($this->reasonerURL);
		$message=($this->digvars->version)."\n".$query;
	    // echo $var->reasonerURL;
		if($debug_flag){echo "<xmp>SEND:\n".$message."\n END \n</xmp>";}

		$req->setMethod(HTTP_REQUEST_METHOD_POST);
		$req->addRawPostData($message);
		$req->sendRequest();

		$ret=$req->getResponseBody();
     	if($debug_flag){echo "<xmp>RECEIVE:\n".$ret."\n END \n</xmp>";}
		return $ret;
    }


}







