<?php
/**
 * OntoWiki - filter class
 * 
 * This class extends the Zend_Filter class and adds further
 * filter methods.
 * 
 * @author     AKSW Team
 */
class OntoWiki_Filter_Input extends Zend_Filter_Input
{
    public function testTitle($key)
    {
        if (!$this->keyExists($key)) {
            return false;
        }
        if (OntoWiki_Filter::isTitle($this->_source[$key])) {
            return $this->_source[$key];
        }

        return FALSE;
    }
    
    public function testEmail($key)
    {
        if (!$this->keyExists($key)) {
            return false;
        }
        if (OntoWiki_Filter::isEmail($this->_source[$key])) {
            return $this->_source[$key];
        }

        return FALSE;
    }

}
?>