<?php

/**
  * OntoWiki event view helper
  *
  * @author Michael Haschke
  * @author Norman Heino <norman.heino@gmail.com>
  * @version $Id$
  */

class OntoWiki_Helper_ProcessEvent {
	
	protected $eventDispatcher = null;
	
	public function __construct() {
		$this->eventDispatcher = Zend_Registry::get('ed');
	}
	
	public function processEvent($eventName) {
	    $processStr = null;
	    $this->eventDispatcher->trigger('template_' . $eventName, &$processStr);
	
	    return $processStr;
	}
}

?>
