<!--  original template for firefox softwiki extension  -->

<?php
session_start();
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html>
<head>
	<title>SoftWiki - Verteilte Erfassung von Systemanforderungen</title>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
  <meta name="author" content="S Lohmann">
  <link rel="stylesheet" type="text/css" href="softwiki.css"/>
</head>
<body>
  <div id="headerSF">
    <img alt="Logo des Projekts SoftWiki" src="../img/sw-logo-kl.png" id="logo-sw"> 
    <h1>&nbsp;&nbsp;Verteilte Erfassung von Systemanforderungen</h1> 
  </div> 


<?php
include("../class.porterStemmer.php");
  
  $title= $_POST['reqtitle'];
  $text = $_POST['reqtext'];
  $reqelem = $_POST['reqelem'];
  $tags = $_POST['tags'];

	// get url
  $url = $_SESSION['url'];
  $urltitle = $_SESSION['urltitle'];
	
	// content area size 
  $width = $_SESSION['width'];
  $height = $_SESSION['height'];
	
	// get user
  $username = $_SESSION['username'];	
  $role = $_SESSION['role'];

	// get user agent
	$user_agent = $_SERVER['HTTP_USER_AGENT'];
	
	// get geocoordinates
	$lat = $_SESSION['lat'];
	$lon = $_SESSION['lon'];
	
	// get ip
	$ip = $_SESSION['ip'];

	// save to db only if text was written
	if (trim($text) != '') {
		echo '<input type="hidden" id="selectionActive" name="selectionActive" value="false" />';
		echo '<br/><h3 align="center">Vielen Dank f&uuml;r Ihre Eingabe.</h3>';
		echo '<p align="center"><a href="" onclick="self.close()">Fenster schlie&szlig;en.</a></p>';
		
		// unset saved form input
		unset($_SESSION['form_title']);
		unset($_SESSION['form_text']);
		unset($_SESSION['form_tags']);
		
		if ($tags != '') {
			// tag postprocessing
			$tags = trim($tags);
			
      $tags = utf8_encode(strtolower(utf8_decode($tags))); 	
			
			$tags = str_replace(",", " ", $tags);
			
			// delete double tags
			$tags_array = explode(" ", $tags);
			$tags_array = array_unique($tags_array);
			$tags = implode(" ", $tags_array);
			
		}
		
		// change texts in stemmed version
		$stemmed_title = utf8_encode(strtolower(utf8_decode($title))); 	
		$stemmed_title = taglist($stemmed_title);
		$stemmed_text = utf8_encode(strtolower(utf8_decode($text)));		
		$stemmed_text = taglist($stemmed_text);

		// add information
		require_once('../db_connect_softwiki.php');
  		$eintrag = "INSERT INTO requirements (title, stemmed_title, text, stemmed_text, man_tags, pathToElement, ip, url, user_agent, view_width, view_height, latitude, longitude, username, role)
									VALUES ('$title', '$stemmed_title', '$text', '$stemmed_text', '$tags', '$reqelem', '$ip', '$url', '$user_agent', '$width', '$height', '$lat', '$lon', '$username', '$role')";
		$eintragen = mysql_query($eintrag);
		
	} else {
		echo '<input type="hidden" id="selectionActive" name="selectionActive" value="true" />';
		echo '<br/><h3 align="center">Bitte geben Sie eine Textbeschreibung an.</h3>';
		echo '<p align="center"><a href="index.php">Zur&uuml;ck</a> | <a href="#" onclick="self.close()">Fenster schlie&szlig;en.</a></p>';
	}

	//Stemmer
	function taglist($text) {
	
		$taglist = '';
	 
		$stemmer = new PorterStemmer_de;
	
		// write words in array
		$tags = str_word_count($text, 1);
	
		 for ($i = 0; $i < count($tags); $i ++) {
			$stem = $stemmer->stem($tags[$i]);
			$taglist .= $stem . ' ';
		 }  
		 
		return $taglist;
	}

?>

</body>
</html>