/*
 * Socializr Plugin Javascript Component(s)
 * Version: $Id$
 */
// socializr specific ready statements
$jq(document).ready(function() { prepare() } );

var soc_progress     = 0;
var soc_complete     = 0;
var soc_progress_bar_id = false;
var soc_hits_count   = 0;
var soc_full_bar_size= 95;

var ajax_stack       = new Array();
var ajax_loading     = false;
  
function increaseProgressBar(success) {
  soc_progress++;
  soc_hits_count++;
  //alert("next one: " + soc_hits_count);
  if(soc_progress_bar_id && $(soc_progress_bar_id)) {
    progress_bar = $(soc_progress_bar_id);
    new_width = soc_progress*soc_full_bar_size/soc_complete;
    progress_bar.style.width = new_width + "%";
    if(new_width == soc_full_bar_size) {
      jQuery("#progress_indicator").fadeOut(20);
      jQuery("#" + soc_progress_bar_id).fadeOut(2000);
    }
  }
}
  
function initProgressBar(element_id, full) {
  soc_progress     = 0;
  soc_hits_count   = 0;
  soc_complete     = full;
  soc_progress_bar_id = element_id;
  $(soc_progress_bar_id).style.minHeight="30px";
  //alert("Fortschrittsbalken initialisiert. ID: " + element_id);
}

function prepare() {
  $jq(".replace-inline").livequery("mouseover", function() { hideHref($jq(this)); });
  $jq(".replace-inline").livequery("click", function() { replaceWindow(
    tmphrefs[$jq(this).attr("id")] // page to load
    //params,
    //targetwin,
    //successFn
  )});
  
  $jq(".replace-left-inline").livequery("mouseover", function() { hideHref($jq(this)); });
  $jq(".replace-left-inline").livequery("click", function() { replaceWindow(
    tmphrefs[$jq(this).attr("id")] // page to load
    ,"" //params
    ,$jq('div.section-mainwindows').children('div.window').eq(0).children('.content').eq(0).children('.partial_window').eq(0) //targetwin
    //,//successFn
  )});

  $jq(".replace-right-inline").livequery("mouseover", function() { hideHref($jq(this)); });
  $jq(".replace-right-inline").livequery("click", function() { replaceWindow(
    tmphrefs[$jq(this).attr("id")] // page to load
    ,"" //params
    ,$jq('div.section-mainwindows').children('div.window').eq(0).children('.content').eq(0).children('.partial_window').eq(1) //targetwin
    //,"alert('done.')"//successFn
  )});

  $jq("#quicksearch").livequery("keypress", function(event) { socQuickSearch(event); });

  $jq("#socEdit").livequery("click", function(event) { socEdit(event); });
  $jq("#socCancel").livequery("click", function(event) { socCancel(event); });
  $jq("#socSubmit").livequery("click", function(event) { socSubmit(event); });
  
  $jq(".input").livequery("keypress", function(event){
    if (event.which == 13) socSubmit(event);
  });

  $jq(".wrapme").livequery("click", function(event) { socToggleWrap(event); });

  $jq(".fade-out").livequery(function(event) {
    $jq(this).fadeOut(3000);
  });

  $jq(".searchBox").livequery("keypress", function(event){
    if (event.which == 13) {
	    uriBox = $($jq(this).attr('side')=='0' ? 'leftUri' : 'rightUri');
	    result = uriBox.value.search(/\?search=/);
	    if(result == -1) uri = uriBox.value + '?search=' + this.value;
	    else uri = uriBox.value.substring(0,result) + '?search=' + this.value;
	    uriBox.value = uri;
	    replaceWindow(
		    uri //$jq(this).attr('href') + '?search=' + this.value
		    ,""
		    ,$jq('div.section-mainwindows').children('div.window').eq(0).children('.content').eq(0).children('.window').eq($jq(this).attr('side'))
		  );
		}
  });
  
  $jq('a.pager').livequery('click', function() {
    page($jq(this));
  });
  
  $jq(".progress_bar").livequery( function(){
    initProgressBar($jq(this).attr('id'), $jq(this).attr('steps'));
  });
  
  var blind_text="";
  $jq(".searchBox").livequery("focus", function(){
    this.style.color='#000'
    blind_text = this.value;
    this.value = "";
  });
  $jq(".searchBox").livequery("blur", function(){
    if(!this.value.length) {
      this.value=blind_text;
      this.style.color='#aaa';
    }
  });
  
  $jq(".partial_window").livequery(function(){
    replaceWindow(
      $jq(this).attr('href')
      ,""
      ,$jq(this)
    );
  });
  
  $jq(".person-search-one").livequery(function() {
    request = new Object();
    request["href"]   = $jq(this).attr('href') + $jq(this).attr('id');
    request["target"] = $jq(this);
    
    ajax_stack.push(request);
    loadFromStack();
    Element.hide($jq(this).attr('id'));
  });

  $jq(".person-fetch-one").livequery(function() {
    request = new Object();
    request["href"]   = $jq(this).attr('href');
    request["target"] = $jq(this);
    
    ajax_stack.push(request);
    loadFromStack();
    Element.hide($jq(this).attr('id'));
  });

  $jq(".person-search-result").livequery(function() {
    //id = $jq(this).attr('id');
    //result = $(id).value.length(); 
    increaseProgressBar(false);
  });
  
  $jq(".fetch-contact-result").livequery(function() {
    //id = $jq(this).attr('id');
    //result = $(id).value.length(); 
    increaseProgressBar(false);
  });

  $jq(".person_search_result_details").livequery("mouseover", function() {
    var target_id = $jq(this).attr("target");
    //var target    = $jq("#" + target_id); 
    
    //alert("href =\"" + $jq(this).attr("href") + "\"");
    //alert("target =\"" + $jq(this).attr("target") + "\"");
    Element.toggle(target_id);
   
    // check if content already exists, otherwise fetch it!
    if($(target_id).innerHTML.length==0) replaceWindow(
	    $jq(this).attr("href") // page to load
	    ,"" //params
	    ,$jq("#" + $jq(this).attr("target"))
	  )
  });
  
  $jq(".Person").livequery(function() {
    $jq(".Person").Draggable({ zIndex: dragZIndex, ghosting: true,
      revert: true, containment: 'document', autoSize: true });

    $jq(".Person").Droppable({
      accept: 'Resource', activeclass: 'dropactive', hoverclass: 'drophover',
      tolerance: 'pointer', ondrop: function (drag) { socDropResource (drag, this); }});
  });
  
  $jq(".remotefunction").livequery("mouseover", function() { hideHref($jq(this)); });
  $jq(".remotefunction").livequery("click", function() {
	  replaceWindow(
	    tmphrefs[$jq(this).attr("id")] // page to load
	    ,"" //params
	    ,$jq(this)
	    //,//successFn
    );
    return false;
  });
  
  $jq("#leaving").livequery( function() {
    $jq(this).fadeOut(6000);
  });
}

function socDropResource(moved_person, person) {
  var person_uri       = $(person).attributes["encoded_uri"].nodeValue;
  var moved_person_uri = $(moved_person).attributes["encoded_uri"].nodeValue
  var method           = $('drag_drop_mode').value;
  if(person_uri == moved_person_uri) return false;
  if(method=="0" && !confirm("Do you really want to perform this action?")) return false;
  
  $jq.ajax({ // AJAX Request auslsen
    type: "GET",
    url: socializrBaseUri + '/model/assignaccount?method=' + method + '&new_person=' + encodeURIComponent(person_uri) + '&moved_person=' + encodeURIComponent(moved_person_uri),
    dataType: 'xml',
    global: 'false'
  });
  
  var left  = $jq('div.section-mainwindows').children('div.window').eq(0).children('.content').eq(0).children('.window').eq(0);
  var right = $jq('div.section-mainwindows').children('div.window').eq(0).children('.content').eq(0).children('.window').eq(1);
  var leftUri  = $('leftUri').value;
  var rightUri = $('rightUri').value;
  replaceWindow($('leftUri').value , "", left );
  replaceWindow($('rightUri').value, "", right);
}


// pager
function page(button) {
  // load vars
  var count   = parseInt($jq('input#count').attr('value'));
  var limit   = parseInt($jq('input#limit').attr('value'));
  var offset  = parseInt($jq('input#offset').attr('value'));

  var pageUrl = $jq('input#' + button.attr('side') + "Uri").attr('value').replace(/[\?&]limit=[\d]+/, '').replace(/[\?&]offset=[\d]+/, '');
  
  // which button was clicked
  if (button.hasClass('first-page')) {
    offset = 0;
  } else if (button.hasClass('previous-page')) {
    offset -= limit;
  } else if (button.hasClass('next-page')) {
    offset += limit;
  } else if (button.hasClass('last-page')) {
    offset = count - (count % limit);
  } else {
    var page = parseInt(button.attr('id').replace(/page-/, ''));
    offset = page * limit - limit;
  }
  
  // construct new url
  var newPageUrl = pageUrl + '/limit/' + limit + '/offset/' + offset;
  
  var left  = $jq('div.section-mainwindows').children('div.window').eq(0).children('.content').eq(0).children('.window').eq(0);
  var right = $jq('div.section-mainwindows').children('div.window').eq(0).children('.content').eq(0).children('.window').eq(1);

  // load new page
  replaceWindow(newPageUrl , "", button.attr('side') == "left" ? left : right );
}

function socSubmit (event, nextUri) {

  // the submit response should appear in the first window
  if ($jq("div.section-mainwindows").children("div.window").size() == 0) {
    $jq("div.section-mainwindows").append("<div class='window'></div>");
  }

  // submit data and result display in first window
  var targetwin = $jq("div.section-mainwindows").children("div.window").eq(0);
  if (targetwin) {
    var queryString = $jq("#socializrForm").formSerialize();
    replaceWindow(owUriBase + "model/socializrUpdate/", queryString, targetwin);
  }
  event.stopPropagation();
}

function loadFromStack () {
  if(ajax_loading)
  {
	  //alert("Ldt schon.");
	  return;
  }
  if(ajax_stack.length) {
    //alert("Stack ist leer.");
    ajax_loading = true;
    var current = ajax_stack.shift();
    replaceWindow(
      current["href"] // page to load
      ,"" //params
      ,current["target"]
      ,function() { ajax_loading = false; loadFromStack(); }//,//successFn
    );
  } else {
    //alert("Stack ist leer.");
    ajax_loading = false;
  }
}