<?php
/**
 * interface for network connectors allowing to find contacts of the contacts of the regarded user
 *
 * @author Thomas Kappel
 * @copyright Copyright (c) 2009
 * @version
 */

interface Microblogging {
	/**
	 * get the latest status messages of the current user
	 * @param string $method 
	 * @return array of all contacts including the contacts of the contacts of the regarded user
	 */
  public function getMyLatestMessages($count=1);
  
  /**
   * get the latest status messages of the specified user
   */
  public function getLatestMessages($uid, $count=1);
}
?>
