<?php

/**
  * OntoWiki main window partial template
  *
  * @author Norman Heino <norman.heino@gmail.com>
  * @version $Id$
  */

?>
<?php

$menu         = $this->placeholder('menu');
$statusTools  = $this->placeholder('statusTools');
$statusLines  = $this->placeholder('statusLines');
$innerWindows = $this->placeholder('innerWindows');
$errors       = $this->placeholder('errors');
$messages     = $this->placeholder('messages');

?>
<?php if (!empty($this->layout()->content)): ?>
	<?php echo $this->partial('micro/window.php', array(
		'content'      => $this->layout()->content, 
		'title'        => $this->placeholder('title'), 
		'tabs'         => $this->placeholder('tabs'), 
		'menu'         => $menu[0], // for some reason non-primitive placeholders are set as an array
		'innerWindows' => $innerWindows[0], 
		'statusTools'  => $statusTools[0], 
		'statusLines'  => $statusLines[0], 
		'errors'       => $errors[0], 
		'messages'     => $messages[0]
	)) ?>
<?php else: ?>
	<div id="news"></div>
<?php endif; ?>