<?php

/**
  * OntoWiki Registration Template
  *
  * @author AKSW team
  * @version $Id: register.php 1797 2008-01-21 12:00:21Z nheino $
  */

?>
<?php $this->placeholder('title')->set($this->title) ?>
<?php $this->placeholder('errors')->set($this->errors) ?>
<?php $this->placeholder('messages')->set($this->messages) ?>

<?php if (!isset($this->removeForm)): ?>
<form method="post" action="<?php echo $this->actionUrl ?>" class="row-input input-justify-left">
<?php 
if (isset($this->fixedUserName)) {
	$readonly     = 'readonly="readonly"';
	$submitText   = 'Save Changes';
} else {
	$submitText   = 'Register User';
}
?>
<!-- h2>Register a new user</h2 -->
<fieldset>
    <div>
        <label for="name-input">Username</label>
        <input class="text" id="name-input" type="text" name="username" <?php echo $readonly ?> value="<?php echo $this->username ?>" />
        <br class="clearall" />
    </div>
    <div>
        <label for="email-input">Email Address</label>
        <input class="text" type="text" name="email" value="<?php echo $this->email ?>" />
        <br class="clearall" />
    </div>
    <div>
        <label for="pw1-input">Password</label>
        <input class="text" id="pw1-input" type="password" name="password" />
        <br class="clearall" />
    </div>
    <div>
        <label for="pw2-input">Password (repeat)</label>
        <input class="text" id="pw2-input" type="password" name="password2" />
        <br class="clearall" />
    </div>
    <div class="clearall"><div class="actionbuttons">
        <button type="submit" name="submit"><?php echo $submitText ?></button>
    </div></div>
</fieldset>
</form>
<?php endif; ?>
