<?php

/**
  * OntoWiki current model view helper
  *
  * @author Norman Heino <norman.heino@gmail.com>
  * @version $Id$
  */

class OntoWiki_Helper_CurrentModel {
	
	protected $session = null;
	
	public function __construct() {
		$this->session = Zend_Registry::get('session');
	}

	
	public function currentModel() {
		if (isset($this->session->activeModelUri)) {
			return $this->session->activeModelUri;
		}
		
		return null;
	}
}

?>
