<?php
/**
  * ContainerManager box template
  *
  * Main window for showing the containers and the count of ressources inside.
  *
  * @author Maria Moritz
  * @version $Id$
  */
?>
<div id="ContainerManager" class="window has-contextmenus-block">
<h1 class="title"><?php echo $this->strings->cm->box->title; ?></h1>
	<div class="content">
		<p>
			<label class="display-block onlyAural" for="cmName-input"><?php echo $this->strings->cm->box->menu->add; ?></label>
			<input class="text width95 inner-label" type="text" id="cmName-input" name="cmName-input" value="" /></p>

		<?php
		// print some messages/errors
		if(isset($this->message)){
			echo $this->message;
			unset($this->message);			
		}
		
		if (count($_SESSION['container']) > 0) { ?>

		<ol class="bullets-none separated-vertical">
		<?php
			// $odd for a better view
			$odd = FALSE;
			// prints the containers from a session variable
			foreach ($_SESSION['container'] as $key => $value) {
				if ($odd) {
					echo '<li class="odd">';
					$odd = FALSE;
				} else {
					echo '<li>';
					$odd = TRUE;
				}
				echo '<a class="has-contextmenu cmContainer" name="'.$key.'" ><span class="cmName">'.$key.'</span> ('.count($value).')<span class="button" /></a></li>' . PHP_EOL;
			}
		?>
		</ol>
		<?php } 
		// if no container available, print message
		else { ?>
		<p class="messagebox info"><?php echo $this->strings->cm->box->noContainer; ?></p>
		<?php } ?>
	</div>
</div>