<!--  original template for firefox softwiki extension  -->

<?php
session_start();
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html id="softfox">
<head>
	<title>SoftWiki - Verteilte Erfassung von Systemanforderungen</title>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
  <meta name="author" content="S Lohmann">
	
  <link rel="stylesheet" type="text/css" href="softwiki.css"/>
	
	<script type="text/javascript" src="../js/suggest_txt_1.js"></script>

	<!--<script type="text/javascript" src="tags.php"></script>-->
  <script type="text/javascript" src="tags.php"></script>
    <script type="text/javascript">
    if (window.focus) window.focus()
		var tagRec = []
		var tagPop = []
		var tagFor = []
		var copyuser = ""
		var copytags = []
	</script>
	<script type="text/javascript" src="../js/suggest_txt_2.js"></script>
  <script type="text/javascript" src="../js/ajax.js"></script>
  <script type="text/javascript" src="../js/accordion.js"></script>
	<script type="text/javascript">  
  
	// get geocoordinates
	function prepare() {
			init();
			with (new Ajax()){	
				url="geodata.php";
				method="POST";
				onSuccess=successHandler;
				onError=errorHandler;
				doRequest();
			}
	}
	
	// save form input
	function saveForminput() {
		var title=document.getElementById("reqtitle").value;
		var text=document.getElementById("reqtext").value;		
		var tags=document.getElementById("tags").value;
		
		with (new Ajax()){	
				url="saveForminput.php";
				method="POST";
				params="title="+title+"&text="+text+"&tags="+tags;
				onSuccess=successHandler;
				onError=errorHandler;
				doRequest();
		}
	}
	
	function findsimilar() {
		var reqtitle=document.getElementById("reqtitle").value;
		var reqtext=document.getElementById("reqtext").value;
			
		with (new Ajax()){	
			url="compare.php";
			method="POST";
			params="title="+reqtitle+"&text="+reqtext;
			onSuccess=successHandler;
			onError=errorHandler;
			doRequest();
		}
	}
	
	function successHandler(txt,xml){
		document.getElementById("printSimilar").innerHTML=txt;
	}

	function errorHandler(msg){
		document.getElementById("printSimilar").innerHTML=msg;
	}
	
	function EvaluatePath() {
		document.getElementById("pathEvaluator").value = document.getElementById("reqelem").value;
	}
	
	function SwitchTab(tabID) {
		document.getElementById("reqElementDiv").contentDocument.body.innerHTML = '<html><head><style type="text/css">'+unescape(document.getElementById("reqPageCssCode").innerHTML)+'</style></head><body>'+unescape(document.getElementById("reqElement_"+tabID).innerHTML)+'</body></html>';
	}

	</script>  
</head>

<body onload="prepare()" onunload="saveForminput()">
	<input type="hidden" id="selectionActive" name="selectionActive" value="true" />
    <input type="hidden" id="pathEvaluator" name="pathEvaluator" value="" />
	<script type="text/javascript" src="../tooltips/tooltip.js"></script>
 
  <div id="headerSF">
    <img alt="Logo des Projekts SoftWiki" src="../img/sw-logo-kl.png" id="logo-sw"> 
    <h1>&nbsp;&nbsp;Verteilte Erfassung von Systemanforderungen</h1> 
  </div> 
  
	<?php  
  if (isset($_REQUEST['do'])) {
    if ($_REQUEST['do']=='logout') {
      unset($_SESSION['username']);
    unset($_SESSION['role']);
    }
    
    if ($_REQUEST['do']=='login') {
      // $_POST["username"] und $_POST["password"] prfen
      if ($benutzerdaten_korrekt) {
        $_SESSION['username'] = $_POST['username'];
      }
    }
  }
  
	echo '<p id="loginText">';
  if (isset($_SESSION['username'])) {
    echo 'Sie sind angemeldet als <a href="login.php" onclick="saveForminput()">'. $_SESSION['username'] . '</a>';
    if (isset($_SESSION['role'])) {
      echo ' (in ihrer Funktion als  <a href="login.php" onclick="saveForminput()">' . $_SESSION['role'] . '</a>)'; 
    }
    echo '. - <a href="?do=logout" onclick="saveForminput()">Abmelden</a>';
  } else {
    echo 'Sie sind nicht angemeldet';
    echo '. - <a href="login.php" onclick="saveForminput()">Anmelden</a>';
  }
	echo '</p>';
  
  // URL loggen
  $_SESSION['url'] = $_GET['url'];
  $_SESSION['urltitle'] = $_GET['title'];
	
	// window size loggen
if (isset($_GET['width'])) {
	$_SESSION['width'] =  $_GET['width'];
	$_SESSION['height'] =  $_GET['height'];
	}
  
  ?>

  <div class="postui" id="main">
		<form id="delForm" name="delForm" method="post" action="submitted.php">
        <input type="hidden" name="reqelem" id="reqelem" value="" />
      <input name="url" id="url" value="<?=$_SESSION['url']?>" type="hidden" />
      <input name="title" id="title" value="<?=$_SESSION['urltitle']?>" type="hidden" />
      <!--<input name="oldurl" value="http://www.google.de/search?hl=de&amp;client=firefox-a&amp;rls=org.mozilla%3Ade%3Aofficial&amp;hs=77B&amp;q=%22dropdown+at+word%22&amp;btnG=Suche&amp;meta=" type="hidden" />-->
      <table>
        <tbody>
          <tr>
            <td class="rs">Titel:</td>
            <td><input name="reqtitle" 
						<?php if ($_SESSION['form_title']) echo ' value="'.$_SESSION['form_title'].'" '; ?>            
            id="reqtitle" size="40" type="text" autocomplete="off" onkeyup="findsimilar()" onmouseover="Tip('Hier k&ouml;nnen Sie der Anforderung <br/> einen Titel geben.', DURATION, 3000)"/>
            </td>
            <td></td>
          </tr>
          <tr>
            <td class="rs">Beschreibung:</td>
            <td>
              <textarea name="reqtext" id="reqtext" rows="4" cols="30" autocomplete="off" onkeyup="findsimilar()" onmouseover="Tip('Hier k&ouml;nnen Sie Ihre <br/> Anforderung formulieren.', DURATION, 3000)"><?php if ($_SESSION['form_text']) echo $_SESSION['form_text']; ?></textarea>
            </td>
            <td></td>
          </tr>
          <tr>
            <td class="rs">Angewähltes Element:</td>
            <td>
              <!--<div id="reqElementDiv" style="overflow:auto;width:400px;height:150px;">
              </div>!-->
              <div id="reqElementTabDiv">Bitte fügen Sie ein Element hinzu.</div>
              <div id="reqPageCssCode" style="display:none;"></div>
              <div id="reqElementContainer" style="display:none;">
              </div>
              <iframe width="430px" height="130px" id="reqElementDiv"> </iframe>
            </td>
            <td></td>
          </tr>
          <tr>
            <td class="rs">Tags:</td>
            <td><input id="tags" 
            <?php if ($_SESSION['form_tags']) echo ' value="'.$_SESSION['form_tags'].'" '; ?>
            name="tags" value="" size="40" type="text" autocomplete="off" onmouseover="Tip('Hier k&ouml;nnen Sie die Anforderung <br/> mit Schlagworten versehen.', DURATION, 3000)"/>
            </td>
            <td></td>
          </tr>     
          <tr style="visibility:hidden" id="suggestions">
            <td class="rs">
            </td>
            <td colspan="2"><div id="suggest"></div></td>
          </tr>
          <tr>
            <td class="rs"><input  value=" Abschicken " type="submit" onclick="saveForminput()" onmouseover="Tip('Anforderung abschicken.')"/></td>
            <td align="right">
            </td>
            <td></td>
          </tr>
        </tbody>
      </table>     
    </form>
  </div>
  
  <script type="text/javascript">
  $id('reqtext').style.width = $id('reqtitle').style.width = $id('tags').style.width = '430px'
  </script>
  
  <div id="printSimilar"></div>

</body>
</html>
