<?php
/**
 * interface for network connectors allowing to find contacts of the contacts of the regarded user
 *
 * @author Thomas Kappel
 * @copyright Copyright (c) 2009
 * @version
 */

interface findContactsOfContacts {
	/**
	 * get an array of the contacts of a contact
	 * @param string $method 
	 * @return array of all contacts including the contacts of the contacts of the regarded user
	 */
  public function fetchContactsOfContacts($uid);
}
?>
