<?php
/**
  * Softwiki instance list template
  *
  * @author Leszek Kotas, Christoph Rieß
  * @author (of the parts that actually deserve to be called 'template') Norman Heino
  * @version $Id: reqlist.php 2710 2009-03-30 21:45:06Z fusel2k $
  */

?>
<div class="messagebox">
    <div class="statustool" style="float:left">
        <ul class="minibutton">
            <input id="count" type="hidden" value="<?php echo $this->count ?>"/>
            <input id="limit" type="hidden" value="<?php echo $this->limit ?>"/>
            <input id="offset" type="hidden" value="<?php echo $this->offset ?>"/>
            <input id="page-url" type="hidden" value="<?php echo $this->pageUrl ?>"/>
            <?php foreach ($this->pagerLinks as $link): ?>
                <li><?php echo $link ?></li>
            <?php endforeach; ?>
        </ul>
    </div>
    <?php if (count($this->listdata) and ($this->similar == '')): ?>
        <div class="float-right">
            <label for="quicksearch"><?php echo $this->strings->sw->reqlist->quicksearch ?></label>
            <input id="quicksearch" class="text" type="text" name="quicksearch" value="<?php echo $this->search ?>"/>
        </div>
    <?php endif; ?>
    <script type="text/javascript">
    //<![CDATA[
        eval(<?php echo $this->quicksearchparams ?>);
    //]]>
    </script>
    
</div>
<?php 
if ($this->configBlock) {
	echo $this->configBlock;
}
?>
<!-- write Params for back-button hidden --> 
<div id="backToRequirements">
<?php if (is_array($this->backParams)) foreach ($this->backParams as $key=>$value){?>
<input type="hidden" value="<?php echo $key.'='.htmlentities($value)?>"/>
<?php }?>
</div>

<?php
if (count($this -> listdata) > 0) {

	// show quicksearch only in normal (not similarity mode)
    // if ($this->similar == '') {
    //  echo $quichSearchBoxHTML;
    // }

	echo '<table cellspacing="0" class="separated-vertical non-editable">' . PHP_EOL;
	$odd = false;
	foreach ($this -> listdata as $element) {

		if ($odd) {
			echo '<tr class="odd">' . PHP_EOL;
			$odd = false;
		} else {
			echo '<tr>' . PHP_EOL;
			$odd = true;
		}
		
		if ($this->showRelated) {
			echo '<td style="width:12em" about="' .$element['resourceUri'].'">' . PHP_EOL;
			if ($element['reqRelated']) {
				echo $element['reqRelated'];
			} else {
				echo $this->strings->sw->reqlist->undefined;
			}
			echo '  <a class="swRelationEdit minibutton">' . PHP_EOL .
				'  <img src="../../themes/default/images/icon-edit.png" alt=""/>' . PHP_EOL .
				'  </a>' . PHP_EOL .
				'</td>';
		} else {
			// do nothing
		}
		
		echo '<td style="width:3em;">' . $element['reqId'] . '</td><td>'.PHP_EOL;
		echo '<p><a class="Resource replace-inline" href="' . $this->baseUrl.'softwiki/open/?requirement='.urlencode($element['resourceUri']) . '&m=' . urlencode($this->modelUri) . '" about="' .$element['resourceUri'].'">';
		echo $element['resourceLabel'] . '</a><br/>Projekte: '.$element['doapProject'].' </p>'; //TR-BMW
		echo '<span>'.strip_tags($element['resourceComment_short']) . '&nbsp;&nbsp;</span><img class="wrapme nowrap" src="../../themes/default/images/arrow_fat_right.gif" title="'.$this->strings->sw->reqlist->showfullcomment.'"/>'. PHP_EOL;
		echo '<span style="display:none;">'.$element['resourceComment_full'] . '&nbsp;&nbsp;</span><img class="wrapme" src="../../themes/default/images/arrow_fat_left.gif" title="'.$this->strings->sw->reqlist->showshortcomment.'" style="display:none"/></td></tr>'. PHP_EOL;
		}
	echo '</table>'. PHP_EOL;
} else {
	// show quicksearch only in search mode
	if ($this->search != '') {
		echo $quichSearchBoxHTML;
	}
	echo '<p class="messagebox info">'.$this->strings->sw->reqlist->noresults.'</p>'. PHP_EOL;
}
?>


