<?php

/**
  * OntoWiki calendar template
  *
  * @author Norman Heino
  * @version $Id: calendar.php 1767 2008-01-08 20:20:07Z nheino $
  */

?>
<?php
/*
 * TODO: move calculations to controller
 */
?>

<?php $this->placeholder('tabs')->set($this->tabs) ?>
<?php $this->placeholder('title')->set($this->title) ?>
<?php $this->placeholder('menu')->set($this->menu) ?>
<?php $this->placeholder('statusTools')->set($this->statusTools) ?>

<table class="calendar">
<tr>
<?php foreach ($this->days as $day): ?>
<th><?php echo $day ?></th>
<?php endforeach; ?>
</tr>
<?php for ($m = 1, $w = 0; $w < $this->weeksToShow; $w++): ?>
<tr>
<?php for ($t = 0; $t < 7; $t++): ?>
<?php
	$sec = $this->monday + ($w * 7 + $t) * 24 * 3600;
	$day = strftime('%e', $sec);
	$date = strftime('%Y-%m-%d', $sec);
	$m = ($day == 1 ? (++$m % 2) : $m);
?>
<td class="<?php echo (($t == 5 || $t == 6) ? 'weekend' : 'weekday') . $m ?>" style="height:<?php echo 100 / $this->weeksToShow ?>%" valign="top"><?php echo $day . '.' . ($day == 1 ? strftime(' %B', $sec) : '') ?>
<?php if ($this->cal_data[$date]): ?>
<?php foreach ($this->cal_data[$date] as $stm): ?>
<br />
<?php echo OntoWiki_Util::getTitle($stm->pred) ?>
<a href="<?php echo OntoWiki_Util::getURL($stm->subj) ?>"><?php echo OntoWiki_Util::getTitle($stm->subj) ?>
</a>
<span></span>
<?php endforeach; ?>
<?php endif; ?>
</td>
<?php endfor; ?>
</tr>
<?php endfor; ?>
</table>
