<?php

/**
  * OntoWiki instance edit template
  *
  * @author Norman Heino
  * @version $Id: edit.php 2621 2008-10-29 09:57:26Z minime219 $
  */

?>
<?php $this->placeholder('tabs')->set($this->tabs) ?>
<?php $this->placeholder('title')->set($this->title) ?>
<?php $this->placeholder('menu')->set($this->menu) ?>
<?php $this->placeholder('statusTools')->set($this->statusTools) ?>

<form method="post" action="<?php echo $this->actionUrl ?>">
<fieldset>
<fieldset><legend>Resource</legend>

<table class="edittable separated-vertical">
<colgroup>
	<col width="20%">
	<col width="80%">
</colgroup>

<tbody>
<tr>
<?php
if ($this->modelBase) {
	$onKeyUp = 'this.form.elements[\'uri\'].value = \'' . $this->modelBase . '\' + escapeUri(this.value)';
}
?>
<td>Label:</td>
<td>
    <input type="text" name="label" class="text ResourceEditValue" value="<?php echo $this->instanceLabel ?>" onkeyup="<?php echo $onKeyUp ?>" />
</td>
</tr>
<tr>
<td>Identifier (URI):</td>
<td><div>
	<input type="text" name="uri" class="text ResourceEditValue" value="<?php echo $this->instanceUri ?>" />
	<input type="hidden" name="olduri" value="<?php echo $this->oldUri ?>" />
</div></td>
</tr>
</tbody>
</table>

</fieldset>

<fieldset><legend>Properties</legend>

<table class="edittable separated-vertical" id="table-<?php echo $this->tableId ?>">
<colgroup>
	<col width="20%">
	<col width="80%">
</colgroup>

<tbody>
<?php if (is_array($this->properties)): ?>
<?php foreach ($this->properties as $key => $value): ?>
<?php if ($key != 'rdfs:label' && $key != "rdfs:subClassOf" && key != "owl:equivalentClass"): ?>
<tr>
<td>
<?php $id = uniqid() ?>
<input type="text" id="autosuggest<?php echo $id?>" class="property autosuggest text" value="<?php echo $key ?>" 
onchange="updateTable(this, '<?php echo $id?>')" />
<div id="autosuggest_choices<?php echo $id?>" class="autosuggest"></div>
<script type="text/javascript">
//<![CDATA[
new Ajax.Autocompleter('autosuggest<?php echo $id?>', 
                       'autosuggest_choices<?php echo $id?>', 
                       owUriBase + 'service/searchProperties/', 
					   {paramName: 'searchText', 
                        minChars: 3, 
                        afterUpdateElement: updTable = function(input, li) {
			new Ajax.Updater(input.parentNode.parentNode.getElementsByTagName('td')[1], owUriBase + 'service/editValues/?property=' + input.value, {evalScripts: true});
}});
//]]>
</script>

</td>
<td>
<?php // echo $this->type ?>
<?php echo OntoWiki_Util::editValues($this->type, $key, $value) ?>
</td>
</tr>
<?php endif; ?>
<?php endforeach; ?>
<?php endif; ?>
</tbody>
</table>
</fieldset>


<fieldset><legend>Definition</legend>
 <table class="edittable separated-vertical">


<tbody>
<?php if (is_array($this->properties)): ?>
<?php foreach ($this->properties as $key => $value): ?>
<?php if ($key == "rdfs:subClassOf" || $key == "owl:equivalentClass"): ?>
<tr>
<td>
<?php $id = uniqid() ?>

</td>
<td>
<?php echo OntoWiki_Util::editValues($this->type, $key, $value) ?>
</td>
</tr>

<?php endif; ?>
<?php endforeach; ?>
<?php endif; ?>
</tbody>
</table>
</fieldset>
<div>
	<button type="submit" name="submit" value="submit"><?php echo $this->strings->resource->submit ?></button>
	<a class="button property-add" id="property-add-<?php echo $this->tableId ?>"><?php echo $this->strings->resource->addproperty ?></a>
</div>


</form>
</fieldset>
