<?php

/**
  * OntoWiki instance list template
  *
  * @author Norman Heino
  * @version $Id: list.php 898 2007-03-26 22:53:10Z nheino $
  */

?>
<?php $this->placeholder('tabs')->set($this->tabs) ?>
<?php $this->placeholder('title')->set($this->title) ?>
<?php $this->placeholder('menu')->set($this->menu) ?>
<?php $this->placeholder('statusTools')->set($this->statusTools) ?>
<?php $this->placeholder('statusLines')->set($this->statusLines) ?>

<?php /**
        * Capture inner windows for outer template
        */ ?>
<?php $this->placeholder('innerWindows')->captureStart('SET') ?>
	<?php echo $this->partial('micro/window.php', $this->ontoWikiBox('predicates')) ?>
	<?php echo $this->partial('micro/window.php', $this->ontoWikiBox('properties')) ?>
	<!-- The filter box is way too expensive -->
	<?php echo $this->partial('micro/window.php', $this->ontoWikiBox('filter')) ?>
<?php $this->placeholder('innerWindows')->captureEnd() ?>

<form method="post" action="<?php echo $this->actionUrl ?>">
<?php if (is_array($this->instances) && !empty($this->instances)): ?>
<table cellspacing="0" class="separated-vertical non-editable">
<?php if (isset($this->tableCaption)): ?>
	<caption><?php echo $this->tableCaption ?></caption>
<?php endif; ?>
<?php if ($this->show): ?>
<thead>
<tr>
<?php for ($i = 0, $col = 0; $i < $this->cols; ++$i): ?>
<th></th>
<th><?php echo $this->classTitle ?></th>
<?php foreach ($this->show as $show): ?>
<th>
<?php $showR = $this->model->resourceF($show); ?>
<a href="<?php echo OntoWiki_Util::getURL($showR) ?>"><?php echo $showR->getTitle() ?></a>
<?php if ($this->allowEdit): ?>
<a class="inline-edit"><img src="<?php echo $this->themeBase ?>images/icon-edit.png" class="clickicon" onclick="editColumn(this, '<?php echo $show ?>', <?php echo (++$col + $i * (1 + count($this->show)))?>)" alt="edit" /></a>
<?php endif; ?>
</th>
<?php endforeach; ?>
<?php endfor; ?>
</tr>
</thead>
<?php endif; ?>
<?php $i = 0; ?>
<?php foreach ($this->instances as $inst): ?>
<?php if ($inst instanceof Erfurt_Rdfs_Resource): ?>
<?php $c = $inst->listClasses(); ?>
<?php $cl_strings = array(); ?>
<?php foreach ($c as $cl): ?>
<?php $cl_strings[] = $cl->getTitle($this->language) ?>
<?php endforeach; ?>

<?php if ($i % $this->cols == 0): ?>
<tr>
<?php endif; ?>

<td class="enumeration"><?php echo ++$this->start ?>.</td>
<td><a about="<?php echo $inst->getUri() ?>" href="<?php echo OntoWiki_Util::getURL($inst) ?>"><?php echo $inst->getTitle($inst, $this->language) ?></a>&nbsp;
<input type="hidden" name="uri" value="<?php echo $inst->getUri() ?>" />
<?php echo OntoWiki_Util::getRating($inst) ?><br />
<?php echo implode(', ', $cl_strings) ?>
</td>
<?php if ($this->show): ?>
<?php foreach ($this->show as $show): ?>
<td>
<?php foreach($this->model->findStatements($inst, $show, null, 0, 5, &$erg) as $s): ?>
<?php echo OntoWiki_Util::displayObject($s, $this->allowEdit) ?><br />
<?php if ($erg > 5): ?>
<?php // TODO: statements.php ?>
<?php endif; ?>
<?php endforeach; ?>
</td>
<?php endforeach; ?>
<?php endif; ?>

<?php if (++$i % $this->cols == 0): ?>
</tr>
<?php endif; ?>

<?php endif; ?>
<?php endforeach; ?>
</table>
<?php endif; // is_array($this->instances) ?>

<?php if ($this->allowEdit): ?>
<p><button class="inline-edit" type="submit" />Submit Changes</button></p>
<?php endif; ?>
</form>
